
Redmine - Defect #6789

HTTP/500 when accessing home page OR 

2010-11-02 09:41 - Adrian S.

Status: Closed Start date: 2010-11-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Hi,

There is a strange bug when I try to access the homepage or any project home page wich has some news items (projects without

any news item displays correcly):

Processing WelcomeController#index (for XXX.XXX.XXX.XXX at 2010-11-02 09:34:39) [GET]

  Parameters: {"action"=>"index", "controller"=>"welcome"}

Rendering template within layouts/base

Rendering welcome/index

ActionView::TemplateError (wrong number of arguments (2 for 0)) on line #6 of app/views/news/_news

.rhtml:

3: <%= "(#{l(:label_x_comments, :count => news.comments_count)})" if news.comments_count > 0 %>

4: <br />

5: <% unless news.summary.blank? %><span class="summary"><%=h news.summary %></span><br /><% end %

>

6: <span class="author"><%= authoring news.created_on, news.author %></span></p>

 Regards,

Related issues:

Is duplicate of Redmine - Defect #6784: Redmine not working with i18n gem 0.4.2 Closed 2010-11-01

History

#1 - 2010-11-02 09:54 - Adrian S.

I forgot to mention: it's not working anymore on r4359 and on r4214.

Both redmine trackers run on the same server:

Ubuntu 10.04 LTS x64

Passenger 3.0.0

PostgreSQL 8.4.5

All gems have been updated before the svn update on the first tracker (r4359).

#2 - 2010-11-02 10:00 - Holger Just

Can you please paste your gem list --local? Esp. the version of your i18n gem.

#3 - 2010-11-02 10:15 - Adrian S.

Here you go:

i18n (0.4.2, 0.4.1)

Full list

*** LOCAL GEMS ***

aaronh-chronic (0.3.9)

abstract (1.0.0)

actionmailer (3.0.1, 3.0.0, 2.3.8, 2.3.7, 2.3.5, 2.3.4, 2.3.2, 2.1.2)

actionpack (3.0.1, 3.0.0, 2.3.8, 2.3.7, 2.3.5, 2.3.4, 2.3.2, 2.1.2)
activemerchant (1.9.0, 1.8.0, 1.7.3, 1.7.2, 1.7.1, 1.5.1, 1.5.0, 1.4.2, 1.4.1)

activemodel (3.0.1, 3.0.0)

activerecord (3.0.1, 3.0.0, 2.3.8, 2.3.7, 2.3.5, 2.3.4, 2.3.2, 2.1.2)

activerecord-tableless (0.1.0)

activeresource (3.0.1, 3.0.0, 2.3.8, 2.3.7, 2.3.5, 2.3.4, 2.3.2, 2.1.2)

activesupport (3.0.1, 3.0.0, 2.3.8, 2.3.7, 2.3.5, 2.3.4, 2.3.2, 2.1.2)

addressable (2.2.2, 2.2.1, 2.2.0, 2.1.2, 2.1.1, 2.1.0, 2.0.2)

arel (2.0.1, 1.0.1)

authlogic (2.1.6, 2.1.5, 2.1.3)

authlogic-oid (1.0.4)

bcrypt-ruby (2.1.2)

braintree (2.6.1, 2.6.0, 2.5.2, 2.5.0, 2.4.0)

builder (2.1.2)

bundler (1.0.3, 1.0.2, 1.0.0, 0.9.26, 0.9.25, 0.9.24, 0.9.23, 0.9.21, 0.9.13, 0.9.12)

calendar_date_select (1.16.1, 1.15)

cancan (1.4.0, 1.3.4, 1.3.3, 1.3.2, 1.2.0, 1.1.1, 1.0.2)

capistrano (2.5.19, 2.5.18, 2.5.17)

cgi_multipart_eof_fix (2.5.0)

cheat (1.3.0)

chronic (0.3.0, 0.2.3)

columnize (0.3.1)

daemon_controller (0.2.5)

daemons (1.1.0, 1.0.10)

data_mapper (1.0.2, 1.0.0)

data_objects (0.10.2, 0.10.1, 0.10.0, 0.9.12)

diff-lcs (1.1.2)

dm-aggregates (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-constraints (1.0.2, 1.0.0, 0.10.2)

dm-core (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-migrations (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-serializer (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-sweatshop (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-timestamps (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-transactions (1.0.2, 1.0.0)

dm-types (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

dm-validations (1.0.2, 1.0.0, 0.10.2, 0.10.1, 0.9.11)

do_sqlite3 (0.10.2, 0.10.1.1, 0.10.0, 0.9.12)

erubis (2.6.6, 2.6.5)

eventmachine (0.12.10)

extlib (0.9.15, 0.9.14, 0.9.13)

faker (0.3.1)

fastercsv (1.5.3, 1.5.1, 1.5.0)

fastthread (1.0.7)

file-tail (1.0.5)

gem_plugin (0.2.3)

gemcutter (0.6.1, 0.5.0, 0.4.1)

ghost (0.2.8)

gist (1.2.1)

git (1.2.5)

gnuplot (2.3.4, 2.3.3, 2.3.1, 2.2)

haml (3.0.23, 3.0.22, 3.0.21, 3.0.18, 3.0.17, 3.0.16, 3.0.15, 3.0.6, 3.0.4, 2.2.24, 2.2.23, 2.2.22, 2.2.21, 2.

2.20, 2.2.19, 2.2.17, 2.2.16, 2.2.15, 2.2.14, 2.2.13, 2.2.10, 2.2.9, 2.2.8, 2.2.7)

haml-edge (3.1.79, 3.1.73, 3.1.72, 3.1.69, 3.1.66, 3.1.62, 3.1.52, 3.1.23, 3.1.16, 2.3.238, 2.3.209, 2.3.177, 

2.3.175, 2.3.172, 2.3.169, 2.3.164, 2.3.162, 2.3.161, 2.3.155, 2.3.100, 2.3.97, 2.3.93, 2.3.86, 2.3.85, 2.3.78

, 2.3.67, 2.3.65, 2.3.59, 2.3.54, 2.3.50)

highline (1.6.1, 1.5.2, 1.5.1)

hoe (2.6.2, 2.6.1, 2.6.0, 2.5.0, 2.4.0, 2.3.3)

i18n (0.4.2, 0.4.1)

jeweler (1.4.0)

json_pure (1.4.6, 1.4.3, 1.4.2, 1.2.4, 1.2.3, 1.2.2, 1.2.1, 1.2.0, 1.1.9)

less (1.2.21, 1.2.20)

libxml-ruby (1.1.4, 1.1.3)

linecache (0.43)

mail (2.2.9, 2.2.7, 2.2.6.1, 2.2.6, 2.2.5)

mailfactory (1.4.0)

merb (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-action-args (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-assets (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-auth (1.1.1, 1.1.0, 1.0.15, 1.0.12)

merb-auth-core (1.1.1, 1.1.0, 1.0.15, 1.0.12)

merb-auth-more (1.1.1, 1.1.0, 1.0.15, 1.0.12)

merb-auth-slice-password (1.1.1, 1.1.0, 1.0.15, 1.0.12)

merb-cache (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-core (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-exceptions (1.1.3, 1.1.0, 1.0.15, 1.0.12)
merb-gen (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-haml (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-helpers (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-mailer (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-more (1.0.15, 1.0.12)

merb-param-protection (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb-slices (1.1.3, 1.1.0, 1.0.15, 1.0.12)

merb_datamapper (1.1.2, 1.1.1, 1.1.0, 1.0.15, 1.0.12)

mime-types (1.16)

mongrel (1.1.5)

mongrel_cluster (1.0.5)

mutter (0.5.3)

mysql (2.8.1)

net-scp (1.0.4, 1.0.3, 1.0.2)

net-sftp (2.0.5, 2.0.4)

net-ssh (2.0.23, 2.0.22, 2.0.21, 2.0.20)

net-ssh-gateway (1.0.1)

newrelic (2.7.4)

newrelic_rpm (2.13.2, 2.13.1, 2.12.3, 2.12.1, 2.12.0, 2.11.3, 2.11.2, 2.11.1, 2.10.6, 2.10.5, 2.10.4, 2.9.9, 2

.9.8, 2.9.6, 2.9.5)

nifty-generators (0.4.2, 0.4.1, 0.4.0, 0.3.2)

paperclip (2.3.5, 2.3.4, 2.3.3, 2.3.1.1)

ParseTree (3.0.6, 3.0.5, 3.0.4)

passenger (3.0.0, 2.2.15, 2.2.11, 2.2.10, 2.2.9, 2.2.8, 2.2.7, 2.2.5)

polyglot (0.3.1, 0.3.0, 0.2.9)

postgres (0.7.9.2008.01.28)

rack (1.2.1, 1.1.0, 1.0.1, 1.0.0)

rack-mount (0.6.13, 0.6.12)

rack-test (0.5.6, 0.5.5, 0.5.4)

radiant (0.9.1, 0.8.2, 0.8.1)

rails (3.0.1, 3.0.0, 2.3.8, 2.3.7, 2.3.5, 2.3.4, 2.3.2, 2.1.2)

railties (3.0.1, 3.0.0)

rake (0.8.7)

randexp (0.1.5, 0.1.4)

recaptcha (0.2.3)

RedCloth (4.2.3, 4.2.2)

rmagick (2.13.1, 2.12.2)

rspec (2.0.1, 2.0.0, 1.3.0, 1.2.9)

rspec-core (2.0.1, 2.0.0)

rspec-expectations (2.0.1, 2.0.0)

rspec-mocks (2.0.1, 2.0.0)

rspec-rails (2.0.1, 1.3.2, 1.2.9)

ruby-debug (0.10.3)

ruby-debug-base (0.10.3)

ruby-debug-ide (0.4.10, 0.4.9)

ruby-openid (2.1.8, 2.1.7)

ruby2ruby (1.2.5, 1.2.4)

ruby_parser (2.0.5, 2.0.4)

rubyforge (2.0.4, 2.0.3)

rubygems-update (1.3.7, 1.3.6)

RubyInline (3.8.6, 3.8.5, 3.8.4, 3.8.3)

searchlogic (2.4.27, 2.4.26, 2.4.25, 2.4.24, 2.4.23, 2.4.21, 2.4.19, 2.4.12, 2.4.11, 2.4.10, 2.4.1, 2.3.9, 2.3

.8, 2.3.6, 2.3.5)

sexp_processor (3.0.5, 3.0.4, 3.0.3)

spree (0.11.2, 0.11.1, 0.11.0, 0.10.2, 0.10.1, 0.9.4, 0.9.3, 0.9.2, 0.9.1)

sprockets (1.0.2)

sproutcore (1.4.3, 1.4.2, 1.4.1, 1.0.1046, 1.0.1042, 1.0.1037)

spruz (0.2.0, 0.1.5)

state_machine (0.9.4, 0.9.3, 0.9.2, 0.9.1, 0.9.0, 0.8.1, 0.8.0)

stringex (1.2.0, 1.1.0, 1.0.3)

system_timer (1.0)

SystemTimer (1.2)

templater (1.0.0)

thin (1.2.7, 1.2.6, 1.2.5)

thor (0.14.3, 0.14.2, 0.14.1, 0.14.0, 0.13.6, 0.13.4, 0.13.3, 0.13.2, 0.13.0, 0.12.3, 0.12.0, 0.11.8, 0.11.7, 

0.9.9)

tlsmail (0.0.1)

treetop (1.4.8, 1.4.5, 1.4.4, 1.4.3, 1.4.2)

tzinfo (0.3.23)

uuidtools (2.1.1)

whenever (0.6.2, 0.6.1, 0.5.3, 0.5.2, 0.5.0, 0.4.2, 0.4.1, 0.3.7)

will_paginate (2.3.15, 2.3.14, 2.3.12, 2.3.11)

ZenTest (4.4.0, 4.3.3, 4.3.1, 4.2.1, 4.1.4)
#4 - 2010-11-02 10:28 - Holger Just

There you go. Redmine is only compatible to i18n <= 0.4.1 currently. See #6784. Please remove the i18n 0.4.2 gem, try again and state your results.

Also, Redmine will probably choke about the existence of Rack > 1.0.1 (which is a Rails issue at its core). You should remove these too. If you really

need Rails3 (which in turn requires Rack >= 1.1), you should use RVM and its gemset feature on your server.

#5 - 2010-11-04 11:26 - Adrian S.

Hi, I downgraded and it works like a charm. I'll take a deeper look into RVM, I never used it before.

Thanks!

#6 - 2010-11-04 11:29 - Felix Schäfer

- Status changed from New to Closed

Closing this as it seems to work for you.

#7 - 2010-11-04 11:35 - Holger Just

- Resolution set to Duplicate

Defect source was incompatibility with i18n 0.4.2. Thus a duplicate of #6784.
